For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The JobInterviewStage object
          • GET/job-interview-stages
          • GET/job-interview-stages/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsJob interview stages

/job-interview-stages/{id}

GET
/ats/v1/job-interview-stages/:id
GET
/api/ats/v1/job-interview-stages/:id
$curl -G https://api.merge.dev/api/ats/v1/job-interview-stages/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=job
200Retrieved
1{
2 "id": "f9813dd5-e70b-484c-91d8-00acd6065b07",
3 "remote_id": "876556788",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Phone Screen",
7 "job": "ba7d9648-5316-4a80-8d73-4e636cef5a90",
8 "stage_order": 2,
9 "remote_was_deleted": true,
10 "field_mappings": {
11 "organization_defined_targets": {
12 "custom_key": "custom_value"
13 },
14 "linked_account_defined_targets": {
15 "custom_key": "custom_value"
16 }
17 },
18 "remote_data": [
19 {
20 "path": "/interview-stages",
21 "data": null
22 }
23 ]
24}

Returns a JobInterviewStage object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/job-interview-stages

Next

The JobPosting object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
Standard stage names are offered by ATS systems but can be modified by users.
jobstring or nullformat: "uuid"
This field is populated only if the stage is specific to a particular job. If the stage is generic, this field will not be populated.
stage_orderinteger or null-2147483648-2147483647

The stage’s order, with the lowest values ordered first. If the third-party does not return details on the order of stages, this field will not be populated.

remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only